var net = require('net')
	, util = require(process.binding('natives').util ? 'util' : 'sys');

var CrossDomainClient = module.exports = function( port, host )
{
	process.EventEmitter.call( this );	
	this.port = port || 843;
	this.host = host || "127.0.0.1";
	this.request = "<policy-file-request/>";
}

util.inherits( CrossDomainClient, process.EventEmitter );

CrossDomainClient.prototype.ping = function()
{
	return this.send( this.request );
}

CrossDomainClient.prototype.send = function( message )
{
	var self = this;
	var socket = new net.Socket();
	socket.setEncoding( "utf-8" );
	socket.connect( this.port, this.host );
	socket.on( "error", function( err )
	{
		self.emit( "error", err );
	} );
	socket.on( "data", function( data )
	{
		self.emit( message === self.request ? "policy" : "echo", data );
		socket.end();
	} );
	
	var written = socket.write( message );
	console.log( "fxs: sent %j to %j:%j", message, this.host, this.port );
	return written;
}