var fxs = require( '../index' )
	, fs = require( 'fs' )
	, path = require( 'path' );

exports['cross-domain-reload'] = function( test )
{
	test.expect( 1 );
	
	var policy = path.join( __dirname, "reload-crossdomain.xml" );
	
	var crossdomain = fs.readFileSync( policy, "utf-8" );
	crossdomain = crossdomain.replace( /\s+$/, "" );
	
	var server = fxs.start(
		path.join( __dirname, "reload.json" ),
		policy );
		
	server.on( "reload", function( contents )
	{
		console.log( "fxs-test: reloaded cross domain %j", contents );
		
		server.close();
		test.done()		
	} );
		
	server.on( "connected", function( port, host )
	{
		test.ok( port === 8043 );
		console.log( "fxs-test: server connected to %j:%j", host, port );
		
		//update the cross domain policy file with a new line
		fs.writeFileSync( policy, crossdomain + "\n" );
		
		/*
		//send a policy file request to the server
		var client = fxs.ping( 8043 );
		client.on( "policy", function( contents )
		{
			console.log( "fxs-test: got policy file %j", contents );
			server.close();			
			test.done();
		} );
		*/
	} );
}